Open Lighting Architecture: ola::plugin::usbdmx Namespace Reference

| Open Lighting Architecture 0.10.9

Loading...
Searching...
No Matches
Namespaces | Classes | Functions
ola::plugin::usbdmx Namespace Reference

## Detailed Description

The plugin for hardware using libusb.

## Namespaces
namespace | jarule
| Ja Rule code.

## Classes
class | AnymaThreadedSender
class | AnymaAsyncUsbSender
class | AnymauDMX
| The base class for Anyma Widgets. More...
class | SynchronousAnymauDMX
| An Anyma widget that uses synchronous libusb operations. More...
class | AsynchronousAnymauDMX
| An Anyma widget that uses asynchronous libusb operations. More...
class | AnymauDMXFactory
| Creates Anyma widgets. More...
class | DeviceState
class | AsyncPluginImpl
| The asynchronous libusb implementation. More...
class | AsyncUsbReceiver
| A base class that receives DMX data asynchronously from a libusb_device. More...
class | AsyncUsbSender
| A base class that send DMX data asynchronously to a libusb_device. More...
class | AsyncUsbTransceiverBase
| A base class that implements common functionality to send or receive DMX asynchronously to a libusb_device. More...
class | DMXCProjectsNodleU1ThreadedSender
class | DMXCProjectsNodleU1ThreadedReceiver
class | DMXCProjectsNodleU1AsyncUsbReceiver
class | DMXCProjectsNodleU1AsyncUsbSender
class | DMXCProjectsNodleU1
| The interface for the Nodle Widgets. More...
class | SynchronousDMXCProjectsNodleU1
| An Nodle widget that uses synchronous libusb operations. More...
class | AsynchronousDMXCProjectsNodleU1
| An Nodle widget that uses asynchronous libusb operations. More...
class | DMXCProjectsNodleU1Device
| A DMXCProjectsNodleU1 device. More...
class | DMXCProjectsNodleU1Factory
| Creates Nodle widgets. More...
class | DMXCProjectsNodleU1InputPort
| A thin wrapper around a Widget so that it can operate as a Port. More...
class | EuroliteProThreadedSender
class | EuroliteProAsyncUsbSender
class | EurolitePro
| The EurolitePro Widget. More...
class | SynchronousEurolitePro
| An EurolitePro widget that uses synchronous libusb operations. More...
class | AsynchronousEurolitePro
| An EurolitePro widget that uses asynchronous libusb operations. More...
class | EuroliteProFactory
| Creates EurolitePro widgets. More...
class | FirmwareLoader
class | GenericDevice
| A Generic device. More...
class | GenericOutputPort
| A thin wrapper around a Widget so that it can operate as a Port. More...
class | JaRuleDevice
| A JaRule device, that represents one widget. More...
class | JaRuleFactory
| Creates Ja Rule widgets. More...
class | JaRuleOutputPort
| A thin wrapper around a JaRulePortHandle so that it can operate as an OLA Port. More...
class | PluginImplInterface
| The interface for an implementation of the USB DMX plugin. More...
class | FadecandyThreadedSender
class | FadecandyAsyncUsbSender
class | ScanlimeFadecandy
| The interface for the Fadecandy Widgets. More...
class | SynchronousScanlimeFadecandy
| An Fadecandy widget that uses synchronous libusb operations. More...
class | AsynchronousScanlimeFadecandy
| An Fadecandy widget that uses asynchronous libusb operations. More...
class | ScanlimeFadecandyFactory
| Creates Fadecandy widgets. More...
class | SunliteThreadedSender
class | SunliteAsyncUsbSender
class | Sunlite
| The interface for the Sunlite Widgets. More...
class | SynchronousSunlite
| An Sunlite widget that uses synchronous libusb operations. More...
class | AsynchronousSunlite
| An Sunlite widget that uses asynchronous libusb operations. More...
class | SunliteFactory
| Creates SunLite widgets. More...
class | SunliteFirmwareLoader
class | SyncPluginImpl
| The legacy implementation. More...
class | SyncronizedWidgetObserver
| Transfers widget add/remove events to another thread. More...
class | ThreadedUsbReceiver
| Receive DMX data using libusb, from a separate thread. More...
class | ThreadedUsbSender
| Send DMX data using libusb, from a separate thread. More...
class | UsbDmxPlugin
| A plugin that uses libusb to communicate with USB devices. More...
class | VellemanThreadedSender
class | VellemanAsyncUsbSender
class | VellemanK8062
| The interface for the Velleman Widgets. More...
class | SynchronousVellemanK8062
| An Velleman widget that uses synchronous libusb operations. More...
class | AsynchronousVellemanK8062
| An Velleman widget that uses asynchronous libusb operations. More...
class | VellemanK8062Factory
| Creates Velleman widgets. More...
class | WidgetInterface
| The interface for a simple widget that supports a single universe of DMX. More...
class | SimpleWidget
| A base simple widget class. More...
class | WidgetObserver
| Receives notifications when Widgets are added or removed. More...
class | WidgetFactory
| Creates new Widget objects to represent DMX USB hardware. More...
class | BaseWidgetFactory
| A partial implementation of WidgetFactory. More...
class | string
| STL class. More...
class | LibUsbAdaptor
| Wraps calls to libusb so we can test the code. More...
class | HotplugAgent
| Detects when USB devices are added or removed. More...
class | JaRuleWidget
| A Ja Rule hardware device (widget). More...
class | USBDeviceID
class | auto_ptr
| STL class. More...
class | Future
class | set
| STL class. More...
class | JaRulePortHandle
| Represents a DMX/RDM port on a Ja Rule device. More...
class | pair
| STL class. More...
class | vector
| STL class. More...
class | Thread

## Functions
template<typename ReturnType>
SingleUseCallback0< ReturnType > * | NewSingleCallback (ReturnType(*callback)())
| A helper function to create a new SingleUseCallback with 0 create-time arguments and 0 execution time arguments.

## Function Documentation

## ◆ NewSingleCallback()

template<typename ReturnType>

SingleUseCallback0< ReturnType > * ola::NewSingleCallback | ( | ReturnType(* | callback )() | ) |
| inline

A helper function to create a new SingleUseCallback with 0 create-time arguments and 0 execution time arguments.

Template Parameters

  ReturnType | the return type of the callback.

Parameters

  callback | the function pointer to use when executing the callback.

Returns
  The same return value as the function.